/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 21, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.carboncore.PLStringFuncs;

//import dstep.AvailabilityMacros;
//import dstep.carboncore.MacTypes;

extern (C)
{
	short PLstrcmp (char* str1, char* str2);
	short PLstrncmp (char* str1, char* str2, short num);
	char* PLstrcpy (char* dest, char* source);
	char* PLstrncpy (char* dest, char* source, short num);
	char* PLstrcat (char* str, char* append);
	char* PLstrncat (char* str1, char* append, short num);
	char* PLstrchr (char* str1, short ch1);
	char* PLstrrchr (char* str1, short ch1);
	char* PLstrpbrk (char* str1, char* charSet);
	short PLstrspn (char* str1, char* charSet);
	char* PLstrstr (char* str1, char* searchStr);
	short PLstrlen (char* str);
	short PLpos (char* str1, char* searchStr);
}